/*
	This file is part of 

	'FractalView' - A Fractal Calculation Program for NeXTStep 3.x

	Author: 
		Peter Merz 
		Kaerntner Str. 9a 
		57223 Kreuztal - GERMANY

	Copyright (C) 1995 Peter Merz

	THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS 
	OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE 
	IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
	PARTICULAR PURPOSE.

	License to freely use and distribute this software is hereby granted,
 	by the author, subject to the condition that this copyright notice,
  	remains intact.  The author retains the exclusive right to publish,
	derivative works based on this work, including, but not limited to, 
  	revised versions of this work.

*/


#import "Formula_p1.h"
#import "Iterate.h"



@implementation Formula_p1

- (List*)createFormulaList
{	
	[self createList];

	[self addToList: "Magnetic Field (2)":		IterateMagn2:-1.45:3.55:-1.875:1.875:75];
	[self addToList: "Mandelbrot Set (sin)":		IterateSin:-4:4:-3:3:75];
	[self addToList: "Mandelbrot Set (sinh)":	IterateSinh:-2.8:2.53333333:-2:2:75];
	[self addToList: "Mandelbrot Set (cos)":	IterateCos:-2.4:4.4:-2.55:2.55:75];
	[self addToList: "Mandelbrot Set (tan)":	IterateTan:-2.2:4.6:-2.55:2.55:75];

	return list;
}

@end
